using PkmnLib.Dynamic.Libraries.DataLoaders;
using PkmnLib.Dynamic.Plugins;

namespace PkmnLib.Tests.Dataloader;

public class NatureDataloaderTests
{
    [Test]
    public async Task TestPrimaryNatureFile()
    {
        IResourceProvider plugin = new Plugin.Gen7.Gen7Plugin();
        var result = plugin.GetResource(ResourceFileType.Natures)!;
        await using var file = result.Open();
        var library = NatureDataLoader.LoadNatureLibrary(file);
        await Assert.That(library).IsNotNull();
    }
}